Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.binary
Class StructParser.TypeSpecifier

    java.lang.Object
      org.monte.media.binary.StructParser.TypeSpecifier

Enclosing class:
  StructParser

    protected static class StructParser.TypeSpecifier

extends java.lang.Object

TypeSpecifier expression.

     TypeSpecifier ::= ( StructSpecifier | (PrimitiveSpecifier [EnumSpecifier | SetSpecifier]) ) [ArrayList]
     ArrayList ::= "[" [ArraySize] "]" {"," identifier "[" [ArraySize] "]" }

Field Summary
`java.util.Vector` | `arrayList`
`StructParser.EnumSpecifier` | `enumSpecifier`
`StructParser.PrimitiveSpecifier` | `primitiveSpecifier`
`StructParser.SetSpecifier` | `setSpecifier`
`StructParser.StructSpecifier` | `structSpecifier`

Constructor Summary
`StructParser.TypeSpecifier(StreamPosTokenizer scanner)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### structSpecifier

    public StructParser.StructSpecifier structSpecifier

### primitiveSpecifier

    public StructParser.PrimitiveSpecifier primitiveSpecifier

### enumSpecifier

    public StructParser.EnumSpecifier enumSpecifier

### setSpecifier

    public StructParser.SetSpecifier setSpecifier

### arrayList

    public java.util.Vector arrayList

Constructor Detail

### StructParser.TypeSpecifier

    public StructParser.TypeSpecifier(StreamPosTokenizer scanner)
                               throws java.io.IOException,
                                      ParseException

Throws:
  `java.io.IOException`
  `ParseException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD